Bug 911121 - (CVE-2013-4217) CVE-2013-4217 wimax (OSAL crypt module): By setting encrypted password writes unencrypted passwords to log files
CVE-2013-4217 wimax (OSAL crypt module): By setting encrypted password writes...
Status: CLOSED EOL
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130808,reported=2...
: Reopened, Security
Depends On: 995160
Blocks: 909233
  Show dependency treegraph
 
Reported: 2013-02-14 07:40 EST by Florian Weimer
Modified: 2015-02-19 04:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:48:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-02-14 07:40:11 EST
InfraStack/OSDependent/Linux/OSAL/Services/wimax_osal_crypt_services.c seems to write unencrypted passwords to the log file.
Comment 5 Jan Lieskovsky 2013-08-08 11:46:00 EDT
A security flaw was found in the way OSAL crypt module of WiMAX, an user space daemon for the Intel 2400m Wireless WiMAX link, used to perform its internal encrypted password setting action (a failed attempt to set the encrypted password was logged into the WiMAX's log file with provided password logged in plaintext form). A local attacker could use this flaw to obtain sensitive information or conduct unauthorized actions on behalf of the user setting the encrypted password.
Comment 6 Jan Lieskovsky 2013-08-08 12:45:28 EDT
Acknowledgements:

This issue was found by Florian Weimer of Red Hat Product Security Team.
Comment 7 Jan Lieskovsky 2013-08-08 12:47:45 EDT
Created wimax tracking bugs for this issue:

Affects: fedora-all [bug 995160]
Comment 8 Jan Lieskovsky 2013-08-08 12:56:59 EDT
CVE Request:
  http://www.openwall.com/lists/oss-security/2013/08/08/10
Comment 9 Jan Lieskovsky 2013-08-09 03:20:41 EDT
The CVE identifier of CVE-2013-4217 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/08/08/17
Comment 10 Florian Weimer 2015-02-17 11:48:20 EST
Only Fedora 19 shipped the wimax packages, and it is now EOL.

Note You need to log in before you can comment on or make changes to this bug.